petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCBDDCSetPrimalVerticesLocalIS

Set additional user defined primal vertices in PCBDDC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetPrimalVerticesLocalIS(PC pc, IS PrimalVertices)

Collective

### Input Parameters

| pc | - the preconditioning context
| PrimalVertices | - index set of primal vertices in local numbering (can be empty)

### Notes

### See Also

PCBDDC, PCBDDCSetPrimalVerticesIS(), PCBDDCGetPrimalVerticesIS(), PCBDDCGetPrimalVerticesLocalIS()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCSetPrimalVerticesLocalIS_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages